Good Evening, you are here to learn. It is great that you are asking. 
-- First of all, it would be better if you can provide me with proper github/gitlab link. It would be more clear.
-- For now, please, try to read error messages more closely and try to understand.
-- Then just copy error message and google it. More probably stackoverflow will give you overview.
-- Finally, it is the best time to learn how to use intellij idea debug mode. You can simply put break_points and check each and every
   part of the application independently.
 Follow the Links for more Information
 1. https://www.jetbrains.com/help/idea/tutorial-java-debugging-deep-dive.html
 2. https://www.baeldung.com/intellij-debugging-tricks